  stretch_coeff = 0.99

  item_count = reaper.CountSelectedMediaItems(0)
  if item_count ~= nil then
    f_item = reaper.GetSelectedMediaItem(0, 0)
    f_item_pos = reaper.GetMediaItemInfo_Value(f_item, "D_POSITION")
    for i = 1, item_count do
      item = reaper.GetSelectedMediaItem(0, i-1) 
      item_pos = reaper.GetMediaItemInfo_Value(item, "D_POSITION")
      item_len = reaper.GetMediaItemInfo_Value(item, "D_LENGTH")    
      take = reaper.GetActiveTake(item)
      take_rate = reaper.GetMediaItemTakeInfo_Value(take, 'D_PLAYRATE')
      if i ~= 1 then reaper.SetMediaItemInfo_Value(item, "D_POSITION", ((item_pos - f_item_pos)*stretch_coeff)+f_item_pos ) end
      reaper.SetMediaItemInfo_Value(item, "D_LENGTH", item_len*stretch_coeff )
      reaper.SetMediaItemTakeInfo_Value(take, 'D_PLAYRATE', take_rate / stretch_coeff)
    end
  end

  reaper.UpdateArrange()
